## model.entry
Class EntryDataModel

    java.lang.Object
      model.entry.EntryDataModel

Direct Known Subclasses:
  Entry, EntryDataModelEditor

    public abstract class EntryDataModel

extends java.lang.Object

The class represents the data structure of an Entry object. It also gives its public get-methods and protected set-methods. The child class EntryDataModelEditor gives the set-methods public visibility so that the data can be changed. Editing and creating new Entry objects is done via EntryUpdater and EntryInitializer objects that extend the class EntryDataModelEditor. See the architecture document for more information.

Field Summary
`private java.lang.String` `club`
`private Country` `country`
`private java.lang.String` `date_of_birth`
`private java.util.HashSet<ID>` `discount_id_set`
`private ID` `ENTRY_ID`
`private java.lang.String` `first_name`
`private java.lang.String` `info`
`private java.lang.String` `last_name`
`private java.math.BigDecimal` `paid_sum`
`private Rank` `rank`
`private java.math.BigDecimal` `total_fee`

Constructor Summary
`protected` `EntryDataModel(ID entry_id)`

Method Summary
`protected void` `addDiscountId(ID discount_id)`
`java.lang.String` `getBirthDayOfMonth()`
`java.lang.String` `getBirthMonthOfYear()`
`java.lang.String` `getClub()`
`Country` `getCountry()`
`java.lang.String` `getDateOfBirth()`
`ID[]` `getDiscountIds()`
`java.lang.String` `getFirstName()`
`ID` `getId()`
`java.lang.String` `getInfo()`
`java.lang.String` `getLastName()`
`java.math.BigDecimal` `getPaidSum()`
`Rank` `getRank()`
`java.math.BigDecimal` `getTotalFee()`
`protected void` `setClub(java.lang.String new_club)`
`protected void` `setCountry(Country new_country)`
`protected void` `setCountry(java.lang.String country_code)`
`protected void` `setDateOfBirth(java.lang.String dob)`
`protected void` `setDateOfBirth(java.lang.String day, java.lang.String month)`
`protected void` `setFirstName(java.lang.String new_first_name)`
`protected void` `setInfo(java.lang.String new_info)`
`protected void` `setLastName(java.lang.String new_last_name)`
`protected void` `setPaidSum(java.math.BigDecimal new_paid_sum)`
`protected void` `setPaidSum(java.lang.String new_paid_sum)`
`protected void` `setRank(Rank new_rank)`
`protected void` `setRank(java.lang.String new_rank)`
`protected void` `setTotalFee(java.math.BigDecimal new_total_fee)`
`protected void` `setTotalFee(java.lang.String new_total_fee)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENTRY_ID

    private final transient ID ENTRY_ID

### last_name

    private transient java.lang.String last_name

### first_name

    private transient java.lang.String first_name

### club

    private java.lang.String club

### rank

    private Rank rank

### country

    private Country country

### total_fee

    private transient java.math.BigDecimal total_fee

### paid_sum

    private transient java.math.BigDecimal paid_sum

### discount_id_set

    private final transient java.util.HashSet<ID> discount_id_set

### info

    private java.lang.String info

### date_of_birth

    private transient java.lang.String date_of_birth

Constructor Detail

### EntryDataModel

    protected EntryDataModel(ID entry_id)

Method Detail

### getId

    public ID getId()

### getFirstName

    public java.lang.String getFirstName()

### getLastName

    public java.lang.String getLastName()

### getClub

    public java.lang.String getClub()

### getRank

    public Rank getRank()

### getCountry

    public Country getCountry()

### getTotalFee

    public java.math.BigDecimal getTotalFee()

### getPaidSum

    public java.math.BigDecimal getPaidSum()

### getInfo

    public java.lang.String getInfo()

### getDateOfBirth

    public java.lang.String getDateOfBirth()

### getBirthDayOfMonth

    public java.lang.String getBirthDayOfMonth()
                                        throws EntryDateNotSetException

  Throws:
    `EntryDateNotSetException`

### getBirthMonthOfYear

    public java.lang.String getBirthMonthOfYear()
                                         throws EntryDateNotSetException

  Throws:
    `EntryDateNotSetException`

### getDiscountIds

    public ID[] getDiscountIds()

### setFirstName

    protected void setFirstName(java.lang.String new_first_name)
                         throws GoException

  Throws:
    `GoException`

### setLastName

    protected void setLastName(java.lang.String new_last_name)
                        throws GoException

  Throws:
    `GoException`

### setClub

    protected void setClub(java.lang.String new_club)
                    throws GoException

  Throws:
    `GoException`

### setRank

    protected void setRank(java.lang.String new_rank)
                    throws GoException

  Throws:
    `GoException`

### setRank

    protected void setRank(Rank new_rank)
                    throws GoException

  Throws:
    `GoException`

### setCountry

    protected void setCountry(java.lang.String country_code)
                       throws GoException

  Throws:
    `GoException`

### setCountry

    protected void setCountry(Country new_country)
                       throws GoException

  Throws:
    `GoException`

### setTotalFee

    protected void setTotalFee(java.lang.String new_total_fee)
                        throws GoException

  Throws:
    `GoException`

### setTotalFee

    protected void setTotalFee(java.math.BigDecimal new_total_fee)
                        throws GoException

  Throws:
    `GoException`

### setPaidSum

    protected void setPaidSum(java.lang.String new_paid_sum)
                       throws GoException

  Throws:
    `GoException`

### setPaidSum

    protected void setPaidSum(java.math.BigDecimal new_paid_sum)
                       throws GoException

  Throws:
    `GoException`

### setInfo

    protected void setInfo(java.lang.String new_info)

### setDateOfBirth

    protected void setDateOfBirth(java.lang.String dob)

### setDateOfBirth

    protected void setDateOfBirth(java.lang.String day,
                                  java.lang.String month)
                           throws GoException

  Throws:
    `GoException`

### addDiscountId

    protected void addDiscountId(ID discount_id)
                          throws GoException

  Throws:
    `GoException`